%define upstream_name    Role-HasMessage
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A thing with a String::Errf-powered message
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Role/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(String::Errf)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is another extremely simple role. A class that includes
Role::HasMessage is promising to provide a 'message' method that returns a
string summarizing the message or event represented by the object. It does
_not_ provide any actual behavior.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-7.mga6
+ Revision: 1032889
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.6.0-6.mga6
+ Revision: 948483
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.6.0-5.mga5
+ Revision: 787895
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-4.mga5
+ Revision: 750297
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.6.0-3.mga5
+ Revision: 732523
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-2.mga5
+ Revision: 686110
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.6.0-1.mga5
+ Revision: 588633
- update to 0.006

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 514414
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 372307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 jquelin <jquelin> 0.5.0-1.mga1
+ Revision: 55450
- fix spec file
- imported package perl-Role-HasMessage


* Mon Feb 21 2011 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
